"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Anchor = void 0;
const jsx_runtime_1 = require("theme-ui/jsx-runtime");
const theme_ui_1 = require("theme-ui");
const icon_1 = require("../icon/icon");
const anchor_styles_1 = require("./anchor.styles");
/** The internal anchor component */
const InternalAnchor = (_a) => {
    var { children, noDecoration } = _a, rest = __rest(_a, ["children", "noDecoration"]);
    return ((0, jsx_runtime_1.jsx)(theme_ui_1.Link, Object.assign({}, rest, { sx: noDecoration ? anchor_styles_1.undecoratedAnchorCss : anchor_styles_1.anchorCss }, { children: children })));
};
/** The external anchor component */
const ExternalAnchor = (_a) => {
    var { children, noDecoration, target = '_blank', rel = 'noopener noreferrer' } = _a, rest = __rest(_a, ["children", "noDecoration", "target", "rel"]);
    return ((0, jsx_runtime_1.jsxs)(theme_ui_1.Link, Object.assign({}, rest, { sx: !noDecoration ? anchor_styles_1.anchorCss : anchor_styles_1.undecoratedAnchorCss, target: target, rel: rel }, { children: [children, " ", (0, jsx_runtime_1.jsx)(icon_1.Icon, { name: "open_in_new", size: "sm", sx: { pb: 'xs' } })] })));
};
/**
 * A styled HTML `<a>` element which creates a hyperlink to the provided URL.
 * Content passed in via the `children` prop should indicate the link's destination.
 * See https://developer.mozilla.org/en-US/docs/Web/HTML/Element/a for more details
 * about the HTML `<a>` element.
 */
const Anchor = (_a) => {
    var { external = false } = _a, rest = __rest(_a, ["external"]);
    if (external) {
        return (0, jsx_runtime_1.jsx)(ExternalAnchor, Object.assign({}, rest));
    }
    return (0, jsx_runtime_1.jsx)(InternalAnchor, Object.assign({}, rest));
};
exports.Anchor = Anchor;
