/** @jsxImportSource theme-ui */
import React from 'react';
import { ButtonProps } from '../button';
/** The props provided to the onClick callback */
export declare type onClickProps = {
    /** The raw react mouse event. */
    e: React.MouseEvent<HTMLButtonElement, MouseEvent>;
    /** The button that was clicked. */
    clicked: string;
};
/** The props for the button group component. */
export interface ButtonGroupProps {
    /** The button that is currently active. */
    activeButton?: string;
    /** The buttons to be rendered. */
    buttons: Pick<ButtonProps, 'id' | 'children' | 'icon'>[];
    /** The callback function that will be called when the active button changes. */
    onChange?: (props: onClickProps) => void;
}
/**
 * Renders a button group component which allows one button to be selected at a time.
 * @param props - the {@link ButtonGroupProps}
 * @returns the button group component
 */
export declare const ButtonGroup: ({ activeButton, buttons, onChange, }: ButtonGroupProps) => import("theme-ui/jsx-runtime").JSX.Element;
//# sourceMappingURL=buttonGroup.d.ts.map