"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ButtonGroup = void 0;
const jsx_runtime_1 = require("theme-ui/jsx-runtime");
const theme_ui_1 = require("theme-ui");
const theme_ui_2 = require("theme-ui");
const button_1 = require("../button");
const buttonGroup_styles_1 = require("./buttonGroup.styles");
/**
 * Renders a button group component which allows one button to be selected at a time.
 * @param props - the {@link ButtonGroupProps}
 * @returns the button group component
 */
const ButtonGroup = ({ activeButton, buttons, onChange, }) => ((0, jsx_runtime_1.jsx)(theme_ui_2.Flex, Object.assign({ sx: buttonGroup_styles_1.buttonGroupCss }, { children: buttons.map((button) => {
        if (!button.id) {
            throw new Error('You must provide an `id` for each button');
        }
        const key = button.id;
        return ((0, theme_ui_1.createElement)(button_1.Button, Object.assign({}, button, { key: key, variant: "ghost", active: key === activeButton, onClick: (e) => {
                if (onChange)
                    onChange({ e, clicked: key });
            } })));
    }) })));
exports.ButtonGroup = ButtonGroup;
