import { ButtonVariant } from '@waystone/core';
import { ButtonProps as ThemeUiButtonProps } from 'theme-ui';
import { CanActivate, CanBeFullWidth, CanDisable, CanLoad, HasSize, HasVariant, HasWidth } from '../common';
import { IconProps } from '../icon';
export interface ButtonProps extends Omit<ThemeUiButtonProps, 'sx' | 'variant' | 'children'>, HasVariant<ButtonVariant>, HasSize, HasWidth, CanDisable, CanLoad, CanActivate, CanBeFullWidth {
    /** The text to render inside a button. */
    children?: string;
    /** The icon and it's variant to render. */
    icon?: Pick<IconProps, 'variant' | 'name'>;
    /**
     * Should the button hide it's contents while it is in the loading state.
     * @default false
     */
    hideContentWhileLoading?: boolean;
}
/**
 * A pre-styled button with multiple sizes and variants. Supports loading, disabled, and active states.
 */
export declare const Button: ({ children, icon, width, minWidth, maxWidth, fullWidth, variant, size, hideContentWhileLoading, loading, disabled, active, ...rest }: ButtonProps) => import("theme-ui/jsx-runtime").JSX.Element;
//# sourceMappingURL=button.d.ts.map