/// <reference types="react" />
import { CanBeFullWidth, HasHeight, HasWidth } from '../common/interfaces';
import { CoverImageCssOptions } from './card.styles';
/**
 * The props for the Card component.
 */
export interface CardProps extends HasWidth, HasHeight, CanBeFullWidth {
    /** The children to render in the card. */
    children: React.ReactNode;
    /** Setting this prop to `true` will disable this component's drop shadow. */
    noShadow?: boolean;
    /** Setting this prop to `true` will disable this component's default padding. */
    noPadding?: boolean;
    /** An optional cover image to render inside the card. */
    coverImage?: CoverImageCssOptions;
}
/**
 * A card is a container for content that is grouped together.
 */
export declare const Card: ({ children, coverImage, noPadding, ...rest }: CardProps) => import("theme-ui/jsx-runtime").JSX.Element;
//# sourceMappingURL=card.d.ts.map