"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const path_1 = __importDefault(require("path"));
const common_1 = require("../common");
const card_1 = require("./card");
describe('The Card component', () => {
    it('Matches snapshot', () => {
        const { container } = (0, common_1.render)(react_1.default.createElement(card_1.Card, null, "card"));
        expect(container).toMatchSnapshot();
    });
    it('Renders the cover image', () => {
        const coverImage = {
            url: path_1.default.basename('./public/example-image.png'),
        };
        const { container } = (0, common_1.render)(react_1.default.createElement(card_1.Card, { coverImage: coverImage }, "card"));
        expect(container).toMatchSnapshot();
    });
});
