"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.iconCss = void 0;
const core_1 = require("@waystone/core");
// eslint-disable-next-line no-shadow
var IconSize;
(function (IconSize) {
    IconSize["sm"] = "1em";
    IconSize["md"] = "1.5em";
    IconSize["lg"] = "2em";
})(IconSize || (IconSize = {}));
const convert = (size) => IconSize[core_1.Size[size]];
const iconCss = (props) => {
    const css = {
        verticalAlign: 'middle',
        color: props.color || 'inherit',
        fontSize: 'inherit',
    };
    if (props.size) {
        css.fontSize = `${convert(props.size)} !important`;
    }
    return css;
};
exports.iconCss = iconCss;
