/** @jsxImportSource theme-ui */
import { StatusVariant } from '@waystone/core';
import { HasChildren, HasVariant, HasWidth } from '../common';
export interface InputContainerProps extends HasVariant<StatusVariant>, HasChildren, HasWidth {
    /** The ID of the input. Will be used in the label's `htmlFor` attribute. */
    id: string;
    /** The text to render as the label. */
    label: string;
    /** The text to render below the input. */
    helpText?: string;
    /** Is the input a required input. */
    required?: boolean;
}
/**
 * The container that wraps all inputs provided in this library. It is exposed in case you need to implement your own inputs.
 * For the best experience, do not consume this component directly.
 */
export declare const InputContainer: ({ id, label, children, helpText, variant, required, ...rest }: InputContainerProps) => import("theme-ui/jsx-runtime").JSX.Element;
//# sourceMappingURL=inputContainer.d.ts.map