"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Label = void 0;
const jsx_runtime_1 = require("theme-ui/jsx-runtime");
const useIsDarkMode_1 = require("../hooks/useIsDarkMode");
const Label = ({ htmlFor, children }) => {
    const darkMode = (0, useIsDarkMode_1.useIsDarkMode)();
    const labelCss = {
        textTransform: 'capitalize',
        color: darkMode ? 'b-300' : 'b-500',
        fontWeight: 'medium',
        fontSize: 'caption',
    };
    return ((0, jsx_runtime_1.jsx)("label", Object.assign({ sx: labelCss, htmlFor: htmlFor }, { children: children })));
};
exports.Label = Label;
