"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.withSpinner = void 0;
const react_1 = __importDefault(require("react"));
const spinner_1 = require("./spinner");
function withSpinner(WrappedComponent) {
    const displayName = WrappedComponent.displayName || WrappedComponent.name || 'Component';
    const ComponentWithSpinner = (props) => {
        const { loading } = props;
        return loading ? react_1.default.createElement(spinner_1.Spinner, Object.assign({}, props)) : react_1.default.createElement(WrappedComponent, Object.assign({}, props));
    };
    ComponentWithSpinner.displayName = `withSpinner(${displayName})`;
    return ComponentWithSpinner;
}
exports.withSpinner = withSpinner;
