import React from 'react';
import { UseSpinnerProps } from './spinner.hooks';
/**
 * A hook that manages the visibility of a spinner. Allows for the
 * spinner to be shown and hidden programmatically. You must
 * position the returned `spinner` element within the DOM.
 *
 * The recommended usage of this hook is for components that may require
 * showing a spinner for a short period of time and where the spinner needs
 * to be constrained to a parent container that has `position: relative`.
 *
 * While it is possible to use this hook to render a full screen spinner,
 * it is recommended to use the `useSpinnerContext` hook instead.
 */
export declare const UseSpinnerDemo: React.FC<UseSpinnerProps>;
/**
 * A hook that manages the visibility of the spinner provided by the `SpinnerProvider`.
 * This spinner will always take up the full screen, and defaults to initially being visible.
 * The recommended usage of this hook is for pages that require a spinner to be shown while
 * data is being fetched.
 */
export declare const UseSpinnerContextDemo: React.FC;
//# sourceMappingURL=spinner.internal.d.ts.map