"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.spinnerCss = void 0;
const react_1 = require("@emotion/react");
const changeContent = (0, react_1.keyframes) `
10% { content: "⠙"; }
20% { content: "⠹"; }
30% { content: "⠸"; }
40% { content: "⠼"; }
50% { content: "⠴"; }
60% { content: "⠦"; }
70% { content: "⠧"; }
80% { content: "⠇"; }
90% { content: "⠏"; }
`;
const getSpinnerSize = (size) => {
    switch (size) {
        case 'sm':
            return '1.3125rem';
        case 'md':
            return '1.5em';
        case 'lg':
            return '2em';
        default:
            return '1.5em';
    }
};
const spinnerCss = ({ size, color, fullWidth, }) => {
    const css = {
        color,
        display: fullWidth ? 'flex' : 'inline-flex',
        width: fullWidth ? '100%' : 'auto',
        height: getSpinnerSize(size || 'md'),
        alignItems: 'center',
        justifyContent: 'center',
        aspectRatio: '1',
        ':after': {
            animation: `${changeContent} 600ms linear infinite`,
            display: 'block',
            content: '"⠋"',
            fontSize: getSpinnerSize(size || 'md'),
        },
    };
    return css;
};
exports.spinnerCss = spinnerCss;
